

`current' is a lousy choice for a variable name.  This driver explodes on
ppc64 because `current' expands to (local_paca->__current).

OK, the driver doesn't compile on power4 anyway, but...

Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/macserial.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/macintosh/macserial.c~macserial-build-fix drivers/macintosh/macserial.c
--- 25/drivers/macintosh/macserial.c~macserial-build-fix	2005-03-07 20:41:20.000000000 -0800
+++ 25-akpm/drivers/macintosh/macserial.c	2005-03-07 20:41:20.000000000 -0800
@@ -155,7 +155,7 @@ static void dbdma_flush(volatile struct 
 static irqreturn_t rs_txdma_irq(int irq, void *dev_id, struct pt_regs *regs);
 static irqreturn_t rs_rxdma_irq(int irq, void *dev_id, struct pt_regs *regs);
 static void dma_init(struct mac_serial * info);
-static void rxdma_start(struct mac_serial * info, int current);
+static void rxdma_start(struct mac_serial * info, int curr);
 static void rxdma_to_tty(struct mac_serial * info);
 
 /*
@@ -762,10 +762,10 @@ static int startup(struct mac_serial * i
 	return 0;
 }
 
-static _INLINE_ void rxdma_start(struct mac_serial * info, int current)
+static _INLINE_ void rxdma_start(struct mac_serial * info, int curr)
 {
 	volatile struct dbdma_regs *rd = &info->rx->dma;
-	volatile struct dbdma_cmd *cd = info->rx_cmds[current];
+	volatile struct dbdma_cmd *cd = info->rx_cmds[curr];
 
 //printk(KERN_DEBUG "SCC: rxdma_start\n");
 
_
